%global less_priority 77
%global momorel 20

Summary: This is the distribution of enhanced less. less - opposite of more
Name: less

Version: 358
Release: %{momorel}m
License: GPL or "Less License"
URL: http://www.greenwoodsoftware.com/less/
Group: Applications/Text

%NoSource 0 http://www.greenwoodsoftware.com/less/less-358.tar.gz 692a94060a50dd35a4d65176cb899444
Source1: lesspipe.sh
Source2: ftp://ftp.big.or.jp/pub/usr2/jam/less/contrib/less-jp-help-iso212.gz
Source3: ftp://ftp.big.or.jp/pub/usr2/jam/less/contrib/less-jp-help-iso212-242.patch.gz

Patch0: http://www.io.com/~kazushi/less/less-358-iso254.patch.gz
Patch2: less-332-ja_help.patch
Patch4: less-EUC-JP.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires(prep): gzip, sharutils
BuildRequires(prep,build,install): coreutils
BuildRequires(build,install): make
BuildRequires(build): ncurses-devel

PreReq: chkconfig  >= 1.3.6-1m
Requires: grep
Provides: pager

%description
Less is a program similar to more (1), but which allows backward
movement in the file as well as forward movement.  Also, less does not
have to read the entire input file before starting, so with large
input files it starts up faster than text editors like vi (1).  Less
uses termcap (or terminfo on some systems), so it can run on a variety
of terminals.  There is even limited support for hardcopy terminals.
(On a hardcopy terminal, lines which should be printed at the top of
the screen are prefixed with a caret.)

Commands are based on both more and vi.  Commands may be preceded by a
decimal number, called N in the descriptions below.  The number is
used by some commands, as indicated.

=========================================================================
This is the distribution of enhanced less.
It support ISO 2022 code extension techniques and Japanese codes.
Please report any problems of it to the author at jam@pobox.com.
See http://www.pobox.com/~jam/less/ for the latest info.
=========================================================================

%prep
%setup -q -n less-358
%patch0 -p1
zcat %{S:2} | uudecode
zcat %{S:3} | uudecode
%__cp -f less.hlp less.hlp.org
%__gzip -d less.hlp.ja.gz 
%__gzip -dc less.hlp.ja.diff.gz |patch -p0 
#cp -f less.hlp.ja  less.hlp
%patch2 -p1
%patch4 -p1 -b .EUC-JP

%build
#CFLAGS="%{optflags}" LDFLAGS=-s ./configure --prefix=/usr
%configure
make mkhelp
%__chmod +w help.c
./mkhelp C < less.hlp > help.c
./mkhelp ja < less.hlp.ja > help_ja.c
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf   %{buildroot}
%__mkdir_p %{buildroot}/bin
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_mandir}/man1
%__mkdir_p %{buildroot}%{_libdir}/%{name}

%makeinstall
%__install -m 755 $RPM_SOURCE_DIR/lesspipe.sh %{buildroot}/usr/bin

# %%ifarch alpha
# ln -sf less %{buildroot}/bin/more
# %%endif

%__cat << EOF > %{buildroot}/%{_libdir}/%{name}/%{name}-pager
#!/bin/sh -
LESS=\${LESS_PAGER:-'-r'} exec %{_bindir}/%{name} "\$@"
EOF
%__chmod 0755 %{buildroot}/%{_libdir}/%{name}/%{name}-pager

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
if LANG=C %{_sbindir}/alternatives --display pager |\
   %__grep -q "/usr/bin/less " 2>/dev/null; then
  %{_sbindir}/alternatives --remove pager %{_bindir}/less
fi

%{_sbindir}/alternatives --install %{_bindir}/pager pager \
  %{_libdir}/%{name}/%{name}-pager %{less_priority}

%postun
if [ $1 = 0 ]; then
  if LANG=C %{_sbindir}/alternatives --display pager |\
     %__grep -q "/usr/bin/less " 2>/dev/null; then 
    %{_sbindir}/alternatives --remove pager %{_bindir}/less
    %{_sbindir}/alternatives --auto pager
  fi
fi

%files
%defattr(-   ,root,root)
%doc README README.iso README.iso.jp NEWS INSTALL LICENSE
%config %{_bindir}/lesspipe.sh
%{_bindir}/less
%{_bindir}/lesskey
%{_bindir}/lessecho
%{_mandir}/man1/less.1*
%{_mandir}/man1/lesskey.1*
%{_libdir}/%{name}

# %%ifarch alpha
# /bin/more
# %%endif

%changelog
* Wed Apr  7 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (358-20m)
- fix dependency

* Thu Nov 06 2003 Kenta MURATA <muraken2@nifty.com>
- (358-19m)
- pretty spec file.

* Wed Oct 29 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (358-18m)
- revise %%post and %%postun

* Tue Oct 28 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (358-17m)
- revise %%postun

* Thu Oct 23 2003 zunda <zunda at freeshell.org>
- (358-16m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Jan 25 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (358-15m)
- add %{_libdir}/less/less-pager for pager
   define LESS_PAGER if you'd like to override the default options for less-pager
- revice %%post and %%postun

* Fri Nov 29 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (358-14m)
- add version at requires chkconfig for alternatives

* Tue Nov 19 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (358-13m)
- adopt the alternatives system (requries chkconfig, provides pager).

* Tue Jan 22 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (358-12k)
- Should BuildPreReq: sharutils(uudecode).

* Mon Oct 29 2001 Toru Hoshina <t@kondara.org>
- (358-10k)
- add locale name "ja_JP.EUC-JP" instead of eucjp.

* Sat May  5 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (358-8k)
- add locale name "ja_JP.eucjp" to charset.c

* Sat Dec  2 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (332-7k)
- change spec file with macro for compatibility

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sun Jun 11 2000 MATSUDA, Daiki <dyky@df-usa.com>
- change lespipe.sh enable bzip2

* Sat Apr  8 2000 Shingo Akagaki <dora@kondara.org>
- bug fix

* Tue Feb 29 2000 Shingo Akagaki <dora@kondara.org>
- japanese help message use only ja locale 

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Mon Jan 31 2000 Masako Hattori <maru@kondara.org>
- version up to man-pages-ja-GNU_less-20000115

* Thu Nov 25 1999 Masako Hattori <maru@kondara.org>
- version up to man-pages-ja-GNU_less-19991115

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Wed Nov  3 1999 Tenkou N. Hattori <tnh@kondara.org>
- add man-pages-ja.

* Sun Sep 19 1999 Toru Hoshina<hoshina@best.com>
- rename to less-332.iso242.

* Tue Mar 16 1999 Toru Hoshina<hoshina@best.com>
- rebuild against rawhide 1.2.9
